.Dd 2019-05-27
.Dt NCI-LIST-FILES 1
.Os
.Sh NAME
.Nm nci-list-files
.Nd List available files associated to a particular course from a Canvas installation
.Sh SYNOPSIS
.Nm
.Fl c
.Ar course-id
.Sh DESCRIPTION
.Nm
connects to a Canvas installation as described at
.Xr nci 1
and lists all files (and folders) associated to the course
.Ar course-id .
For each assignment, its full path is printed.
.Pp
The prefix
.Sq course files
is stripped from filenames.
.Sh OPTIONS
.Bl -tag -width Ds
.It Fl c
The
.Ar course-id ,
as returned by
.Xr nci-list-courses 1 .
.El
.Sh EXAMPLES
.Dl % nci-list-files -c 1187637
.Dl syllabus.pdf
.Dl Practice Exams/2099_midterm_exam_1.pdf
.Dl Practice Exams/2099_midterm_exam_2.pdf
.Dl Practice Exams/finals/2097_final.pdf
.Dl Practice Exams/finals/2098_final.pdf
.Dl Practice Exams/finals/2099_final.pdf
.Sh SEE ALSO
.Xr nci 1
.Xr nci-list-courses 1
.Xr nci-put-file 1
.Sh AUTHORS
.An S. Gilles Aq Mt sgilles@math.umd.edu
